.stock-modal {
  display: block;
  position: fixed;
  z-index: 1;
  left: ~"calc(50% - 250px)";
  top: 15vh;
  width: 500px;
  height: auto;
  background: white;
  padding: 15px;
  border: 1px solid grey;
  border-radius: 10px;
}